Page MenuHomePhabricator

Use tls for dump backup generation
Open, NormalPublic

Description

Some database hosts have already enabled and require TLS by default, others don't. That creates difficulties when running mysqldump, as it can sometimes fail. I have deployed https://gerrit.wikimedia.org/r/323420 as a temporary workaround, but a proper fix is needed for the client creating the backups to adopt TLS so it doesn't fail AND it is secure.

This is probably something that can be done at the same time that dbstore1001 gets its new disks (T143874).

Related Objects

Event Timeline

jcrespo created this task.Nov 24 2016, 6:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2016, 6:50 PM
1978Gage2001 moved this task from Triage to In progress on the DBA board.Dec 11 2017, 9:45 AM
1978Gage2001 moved this task from Triage to In progress on the DBA board.
Marostegui moved this task from In progress to Triage on the DBA board.Dec 11 2017, 11:07 AM

This needs more work, probably recompile mydumper to support modern standards (TLS1.2+).

jcrespo moved this task from Triage to Backlog on the DBA board.Jun 15 2018, 3:50 PM